- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# VstWindow Struct Reference

`#include <aeffectx.h>`

List of all members.

## Public Attributes
char | title [128]
VstInt16 | xPos
VstInt16 | yPos
VstInt16 | width
VstInt16 | height
VstInt32 | style
void * | parent
void * | userHandle
void * | winHandle
char | future [104]

## Detailed Description

Deprecated:
  Structure used for openWindow and closeWindow (deprecated in VST 2.4).

## Member Data Documentation

char VstWindow::future[104]

VstInt16 VstWindow::height

void* VstWindow::parent

VstInt32 VstWindow::style

char VstWindow::title[128]

void* VstWindow::userHandle

VstInt16 VstWindow::width

void* VstWindow::winHandle

VstInt16 VstWindow::xPos

VstInt16 VstWindow::yPos

The documentation for this struct was generated from the following file:

- aeffectx.h

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.